package common.item.block;

import common.block.tech.BlockButton;
import common.model.Model;
import common.model.ModelProvider;

public class ItemButton extends ItemBlock {
	private final BlockButton button;
	
	public ItemButton(BlockButton block) {
		super(block);
		this.button = block;
	}

    public Model getModel(ModelProvider provider, String name) {
    	return provider.getModel(provider.getModel(this.button.getTexture()).add(5, 6, 6, 11, 10, 10)
    			.d().uv(5, 6, 11, 10).noCull().u().uv(5, 10, 11, 6).noCull()
    			.ns().uv(5, 12, 11, 16).noCull().we().uv(6, 12, 10, 16).noCull(), this.getTransform());
    }
}
